<!DOCTYPE html>
<html lang="en">

<head>
  <%- include('../partials/head'); %>
</head>

<body>
  <div class="container">
    <%- include('../partials/navbar'); %>
    <div class="login-header">
      <h1>Sign Up</h1>
      <div class="login-description">
        <p>Already have an account? <a class="link-custom" href="/login">Login here</a>.</p>
      </div>
    </div>
    <div class="login-content">
      <form class="needs-validation" id="signupform" novalidate>
        <div class="form-group mb-3">
          <label for="inputEmail">Email address</label>
          <input type="email" class="form-control" name="email" id="inputEmail" required>
          <div class="invalid-feedback">
            Please enter your email address.
          </div>
        </div>
        <!-- <div class="form-group mb-3">
          <label for="inputUsername">Username</label>
          <input type="text" class="form-control" name="username" id="inputUsername" required>
          <div class="invalid-feedback">
            Please enter a username.
          </div>
        </div> -->
        <div class="form-group mb-3">
          <label for="inputPassword">Password</label>
          <input type="password" class="form-control" name="password" id="inputPassword" required>
          <div class="invalid-feedback">
            Please enter your password.
          </div>
        </div>
        <div class="form-group mb-3">
          <label for="inputPassword2">Confirm password</label>
          <input type="password" class="form-control" name="password2" id="inputPassword2" required>
          <div class="invalid-feedback">
            Passwords don't match
          </div>
        </div>
        <div id="consentText">
          <h4>Consent</h4>
          The ticket designer is a research prototype. By using the ticket designer, and producing tickets, you're
          consenting to take part in our research. You can read more about exactly what this means <a href="/info-sheet"
            target="_blank">here</a> and view our <a href="/privacy-policy" target="_blank">privacy policy</a>.
          <br><br>
          <strong>Before you start, here's what you need to know:</strong>
          <br>
          <ul>
            <li>Tickets you create will be published anonymously, available for anyone to see.</li>
            <li>
              For the show 'Whose Ticket is it Anyway?' the improv team will select tickets at random, and use these
              during the show.
            </li>
            <li>You must be over 18 to use this website.</li>
            <li>You can delete tickets you have created at any time.</li>
            <li>You can delete your account, and withdraw from this research at any time.</li>
          </ul>
        </div>
        <div class="form-group form-flex mb-3">
          <div>
            <input class="form-check-input" type="checkbox" id="invalidCheck" required>
          </div>
          <div>
            <label class="form-check-label form-flex-label" for="invalidCheck">
              I confirm I have read and understood this information, and agree to take part in this research.
            </label>
            <div id="checkFeedback" class="invalid-feedback">
              You must agree before submitting.
            </div>
          </div>
        </div>
        <div class="form-group form-flex">
          <div>
            <input class="form-check-input" type="checkbox" name="contact" id="contactCheck">
          </div>
          <label class="form-check-label form-flex-label" for="contactCheck">
            I'm happy to be contacted about my experiences of ticket designer, for the purposes of research.
          </label>
        </div>
        <div id="signupFail" class="alert alert-danger display-none" role="alert">
          <span id="signupError"></span>
        </div>
        <button href="#" type="submit" id="signupSubmit" class="btn btn-submit mt-3">Sign up</button>
        <button class="btn btn-submit float-right display-none" id="signupSpinner" type="button" disabled>
          <span class="spinner-border spinner-border-sm mt-3" role="status" aria-hidden="true"></span>
          Creating account...
        </button>
      </form>
    </div>
    <%- include('../partials/footer'); %>
  </div>
  <%- include('../partials/footscripts'); %>
  <script src="/javascripts/signup.js"></script>
</body>

</html>